<?php
/**
 * This file contains the Config file for Newsletter plugin.
 *
 * @package Plugin
 * @subpackage Newsletter
 * @version SVN Revision $Rev:$
 *
 * @author unknown
 * @copyright four for business AG <www.4fb.de>
 * @license http://www.contenido.org/license/LIZENZ.txt
 * @link http://www.4fb.de
 * @link http://www.contenido.org
 */

defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

global $_cecRegistry, $cfg, $contenido, $area, $client, $load_client;

// Ggf. vom Webmaster zu ndern: 
$cfg['plugins']['usrbin']  = "/usr/bin/"; // Pfad zu usr/bin, kann je nach Hoster variieren. Abschlieenden Slash beachten!
$cfg['plugins']['gzip']    = "/bin/gzip"; // Pfad zu gzip, kann je nach Hoster variieren. KEINEN abschlieenden Slash setzen!

// Grundkonfiguration des Plugin
$backup_path = './../backup/'; // Backup Ordner, bitte auf der gleichen Ebene wie "/contenido" anlegen und mit den mit den Rechten 757 versehen.
$number_of_files = '200'; // sind mehr als x Dateien im Ordner, beginnt die automatische Lschung

// Prfen, ob Backupverzeichnis mit den korrekten Berechtigungen vorhanden. Falls nein, im spteren Verlauf dessen Anlage einfordern

if ( !is_dir($backup_path) ) {
	$pathfinder = false;
	} else {
	$pathfinder = true;

	// Ordnerrechte berprfen
	$dir_permission = substr(decoct( fileperms($backup_path) ), 2);
	if ( $dir_permission != 757 )  { 
			$permissionfinder = false;
			} else {
			$permissionfinder = true;
	}
}
?>